
# ~/.profile: executed by ash, bash and pdksh for login shells.
# No bashishms allowed

# Folding used. Get folding.el for your emacs here:
# http://www.csd.uu.se/~andersl/emacs.shtml

#echo "~/.profile"

# {{{ Loading help 1

HOME_PROFILE=1
export HOME_PROFILE

# }}}
# {{{ $ENV etc.

# ftp://ftp.oreilly.com/pub/examples/power_tools/unix/split/sh_logout.sh
#echo "Setting logout behaviour"
#trap '. $HOME/.sh_logout.sh; exit' 0

case "$SHELL" in
    # ftp://ftp.oreilly.com/pub/examples/power_tools/unix/split/sh_logout.sh
    #echo "Setting logout behaviour"
    #trap '. $HOME/.sh_logout.sh; exit' 0
    *zsh*|*bash*)
    :
    ;;
    *)
    trap '. $HOME/.sh_logout.sh 2> /dev/null ' 0
esac

case "$SHELL" in
    # Zsh tries to emulate sh or ksh when it is invoked as sh or ksh respectively;
    # The usual zsh startup/shutdown scripts are not executed. Login shells
    # source /etc/profile followed by $HOME/.profile. If the ENV environment
    # variable is set on invocation, $ENV is sourced after the profile scripts.
    *zsh*)
    unset ENV
    BASH_ENV="$HOME/.bashrc"
    export BASH_ENV
    ;;

    *bash*)
    BASH_ENV="$HOME/.bashrc"
    export BASH_ENV
    ENV="$HOME/.bashrc"
    export ENV
    ;;

    *ksh*)
    BASH_ENV="$HOME/.bashrc"
    export BASH_ENV
    ENV="$HOME/.kshrc"
    export ENV
    ;;

    *)
    BASH_ENV="$HOME/.bashrc"
    export BASH_ENV
    ENV="$HOME/.shinit.sh"
    export ENV
esac

# }}}
# {{{ Loading help 2

if [ -n "$HOME_SHINIT" ]
then
    if [ "$HOME_SHINIT" -gt 0 ]
    then
        #  echo PAH ~/.shinit.sh
        :
    fi
else
    #  echo SUCK ~/.shinit.sh
    . "${HOME}/.shinit.sh"
    HOME_SHINIT="1"
    export HOME_SHINIT
fi

# }}}
# {{{ Misc

#mesg y

# Ensure 8 bit connection

#stty -parenb -istrip cs8
#stty pass8
#stty erase '^?'

# Paranoia

umask 077

# }}}
# {{{ Distribution-specific stuff

# linux_logo AND Welcome2L

# http://www.deater.net/weave/vmwprod/linux_logo/

# http://www.littleigloo.org/
# http://www.littleigloo.org/software_003.php3

# These cause some problems in XDM/GDM/KDM

#if test -f "/etc/debian_version"
#then
#  if test -f "$HOME/.profile.debian.sh"
#  then
#    if test -n "$PROFILE_DEBIAN"
#    then
#      if test "$PROFILE_DEBIAN" -gt 0
#      then
#      :
#      echo PAH ~/.profile.debian.sh
#      fi
#    else
#      echo SUCK ~/.profile.debian.sh
#      . "${HOME}/.profile.debian.sh"
#    fi
#  fi
#fi

#if test -f "/etc/redhat-release"
#then
#  if test -f "$HOME/.profile.redhat.sh"
#  then
#    if test -n "$PROFILE_REDHAT"
#    then
#      if test "$PROFILE_REDHAT" -gt 0
#      then
#      :
#      #echo PAH ~/.profile.redhat.sh
#      fi
#    else
#      #echo SUCK ~/.profile.redhat.sh
#      . "${HOME}/.profile.redhat.sh"
#    fi
#  fi
#fi

pathmunge ()
{
    if ! echo $PATH | /bin/egrep "(^|:)$1($|:)" > /dev/null 2>&1 ; then
        if [ "$2" = "after" ] ; then
            PATH=$PATH:$1
        else
            PATH=$1:$PATH
        fi
    fi
}

#pathmunge /usr/X11R6/bin after
pathmunge ${HOME}/scripts after
pathmunge ${HOME}/bin after
pathmunge /usr/local/scripts after
pathmunge /usr/local/bin after
pathmunge /opt/bin after
pathmunge /usr/local/games/quake after

unset pathmunge

export PATH

cd ${HOME}

# }}}

case $TERM in *linux*)
    if type ctheme > /dev/null 2>&1
    then
        CTHEME="xterm16.ct"

        OLDPATH="$PATH"
        PATH="/usr/local/share/cthemes:/usr/share/cthemes:$PATH"
        $CTHEME
        PATH="$OLDPATH"
        export PATH
        unset CTHEME
    fi
esac

